Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 397987 - www-apps/ampache-9999 LiveVCS ebuild
Summary: www-apps/ampache-9999 LiveVCS ebuild
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Kristian Fiskerstrand
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-07 09:44 UTC by Stephen Shkardoon
Modified: 2016-01-10 20:45 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild (ampache-9999.ebuild,1.24 KB, text/plain)
2012-01-07 09:45 UTC, Stephen Shkardoon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Shkardoon 2012-01-07 09:44:15 UTC
New ebuild for git repository of ampache.

Reproducible: Always
Comment 1 Stephen Shkardoon 2012-01-07 09:45:00 UTC
Created attachment 298181 [details]
Ebuild
Comment 2 Michael Weber (RETIRED) gentoo-dev 2012-01-08 16:43:09 UTC
We don't add LiveCVS ebuild to the tree on a regular basis, but web-apps may decide.
Comment 3 Anthony Basile gentoo-dev 2012-01-08 16:52:08 UTC
I don't like live ebuilds on the tree.  They're a moving target: if you emerge today or you emerge tomorrow you can get different behavior, different bugs etc.  With overlays, we now have the luxury of playing with live ebuilds without poluting the tree.

@reporter.  Do you have an overlay where you can put this?
Comment 4 Carter Young 2013-02-28 22:16:45 UTC
Please add Bug 449032 to the Blocks Field in this bug.  I don't have rights to do so.  For reasoning see:

http://forums.gentoo.org/viewtopic-p-7256816.html
Comment 5 Carter Young 2013-02-28 22:22:14 UTC
(In reply to comment #3)
> I don't like live ebuilds on the tree.  They're a moving target: if you
> emerge today or you emerge tomorrow you can get different behavior,
> different bugs etc.  With overlays, we now have the luxury of playing with
> live ebuilds without poluting the tree.
> 
> @reporter.  Do you have an overlay where you can put this?

If you prefer not to use moving targets, can we at least add the *-DEV Version to the tree until the PHP issue is resolved upstream?  Which is why I added Comment #4

For Reference:
This Fix needs to be done by upstream, in this fashion:
http://stackoverflow.com/questions/8971261/php-5-4-call-time-pass-by-reference-easy-fix-available
Comment 6 Kristian Fiskerstrand gentoo-dev Security 2016-01-10 20:45:22 UTC
3.8.1 is in tree, I don't see a need for a live version